<?php
/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

/**
 * @property Inbank $module
 */
class InbankCronModuleFrontController extends ModuleFrontController
{
    public function display()
    {
        $token = $this->module->generateHash($this->module->name);
        if (Tools::getValue('inbank_token') === $token) {
            $cache_dir = INBANK_MODULE_DIR.'cache/';
            $scanned_directory = array_diff(scandir($cache_dir), array('..', '.', 'index.php'));
            foreach ($scanned_directory as $file) {
                unlink($cache_dir.$file);
            }
            $this->module->updateAllProducts();
            $this->returnSuccess($this->module->l('Products updated successfully'));
        }

        $this->returnError($this->module->l('Failed to verify token'));
    }

    private function returnError($message)
    {
        die(json_encode([
            'status' => 0,
            'error_message' => $message
        ]));
    }

    private function returnSuccess($message)
    {
        die(json_encode([
            'status' => 1,
            'message' => $message
        ]));
    }
}
