<?php
/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

class InbankDetail extends ObjectModel
{
    /* @var int */
    public $id_detail;

    /* @var string */
    public $timestamp;

    /* @var int */
    public $id_cart;

    /* @var int */
    public $id_order;

    /* @var int */
    public $id_payment;

    /* @var string */
    public $session_uuid;

    /* @var string */
    public $contract_uuid;

    /* @var string */
    public $last_state;

    /* @var string */
    public $error_message;

    /* @var string */
    public $error_code;

    /**
     * @see ValidateCore
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'inbank_detail',
        'primary' => 'id_detail',
        'fields' => array(
            'timestamp' => array('type' => self::TYPE_STRING, 'validate' => 'isGenericName'),
            'id_cart' => array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'id_order' => array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'id_payment' => array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'session_uuid' => array('type' => self::TYPE_STRING, 'validate' => 'isGenericName'),
            'contract_uuid' => array('type' => self::TYPE_STRING, 'validate' => 'isGenericName'),
            'last_state' => array('type' => self::TYPE_STRING, 'validate' => 'isGenericName'),
            'error_message' => array('type' => self::TYPE_STRING),
            'error_code' => array('type' => self::TYPE_STRING),
        ),
    );

    /**
     * Returns model's table name
     *
     * @param  bool  $prefix
     * @return string
     */
    public static function table($prefix = false)
    {
        return ($prefix ? _DB_PREFIX_ : '').self::$definition['table'];
    }

    public static function getDetailsByOrderId($id_order)
    {
        $id_order = (int)$id_order;
        $sql = 'SELECT * FROM '._DB_PREFIX_.'inbank_detail WHERE id_order = '.$id_order;
        $res = Db::getInstance()->getRow($sql);
        if ($res) {
            $detail = new InbankDetail();
            $detail->hydrate($res);

            return $detail;
        }

        return false;
    }

    public static function getPaymentIdByOrderId($id_order)
    {
        $sql = 'SELECT id_payment FROM '._DB_PREFIX_.'inbank_detail WHERE id_order = '.(int)$id_order;

        return Db::getInstance()->getValue($sql);
    }

    public static function getDetailsByOrderIdWithPayment($id_order)
    {
        $sql = 'SELECT det.*,pay.* FROM '._DB_PREFIX_.'inbank_detail det
                LEFT JOIN '._DB_PREFIX_.'inbank_payment pay ON pay.id_payment = det.id_payment
                WHERE det.id_order = '.(int)$id_order;

        return Db::getInstance()->getRow($sql);
    }
}
