<?php
/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

class InbankLogs extends ObjectModel
{

    const TYPE_WARNING = 'warning';
    const TYPE_ERROR = 'error';
    const TYPE_INFO = 'info';

    /** @var int object identifier */
    public $id_log;

    /* @var string */
    public $id_order = 0;

    /* @var string */
    public $message;

    /** @var string inbank product code */
    public $product_code;

    /** @var string inbank api endpoint */
    public $endpoint;

    /* @var string */
    public $response;

    /* @var string */
    public $type;

    /* @var datetime */
    public $date_add;

    /**
     * @see ValidateCore
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'inbank_log',
        'primary' => 'id_log',
        'fields' => array(
            'id_order' => array('type' => self::TYPE_INT, 'validate' => 'isInt', 'required' => false),
            'message' => array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => true),
            'product_code' => array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => false),
            'endpoint' => array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => false),
            'response' => array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => false),
            'type' => array('type' => self::TYPE_STRING, 'validate' => 'isString', 'required' => true),
            'date_add' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
        ),
    );

    /**
     * Returns model's table name
     *
     * @param  bool  $prefix
     * @return string
     */
    public static function table($prefix = false)
    {
        return ($prefix ? _DB_PREFIX_ : '').self::$definition['table'];
    }

    public static function addLog(
        $id_order,
        $message,
        $type = self::TYPE_WARNING,
        $product_code = "",
        $endpoint = "",
        $response = ""
    ) {
        $log = new InbankLogs();
        $log->id_order = (int)$id_order;
        $log->message = pSQL($message);
        $log->product_code = pSQL($product_code);
        $log->endpoint = pSQL($endpoint);
        $log->response = pSQL($response);
        $log->type = in_array($type, [self::TYPE_WARNING, self::TYPE_ERROR]) ? $type : self::TYPE_WARNING;
        try {
            return $log->save();
        } catch (Exception $e) {
            return false;
        }
    }
}
