<?php
/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

class InbankTools
{
    private static $country_list = [];

    /**
     * Get order id by order reference code
     *
     * @param $reference
     * @return false|null|string
     */
    public static function getOrderIdByReference($reference)
    {
        $sql = 'SELECT id_order FROM `'._DB_PREFIX_.'orders` WHERE `reference` = "'.pSQL($reference).'" ';

        return Db::getInstance()->getValue($sql);
    }

    public static function verifyHmac($hmac, $timestamp, $message, $api_key)
    {
        return $hmac === hash_hmac('sha512', $timestamp.'.'.$message, $api_key);
    }

    public static function getCountryIdByIso($iso_code) {

        $iso_code = strtolower($iso_code);

        if(!isset(self::$country_list[$iso_code])) {
            $countries = Db::getInstance()->executeS(
                'SELECT id_country, iso_code FROM '._DB_PREFIX_.'country'
            );

            foreach ($countries as $country) {
                self::$country_list[strtolower($country['iso_code'])] = (int)$country['id_country'];
            }
        }

        return self::$country_list[$iso_code];
    }
}
