<?php
/**
 * 2022 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2022 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

function upgrade_module_2_1_0($module)
{
    $res = true;

    //delete old restrictions
    Db::getInstance()->delete(
        'module_country',
        'id_module = '.$module->id
    );
    Db::getInstance()->delete(
        'module_currency',
        'id_module = '.$module->id
    );

    //add new restrictions
    $available_countries = ['EE', 'PL', 'LV', 'CZ'];
    $available_currencies = ['EUR', 'PLN', 'CZK'];

    $countries_formatted = [];
    foreach ($available_countries as $country) {
        $id_country = (int)Db::getInstance()->getValue('SELECT id_country FROM '._DB_PREFIX_.'country WHERE iso_code = "'.$country.'"');
        if($id_country) {
            $countries_formatted[] = ['id_country' => $id_country];
        }
    }
    $res &= Country::addModuleRestrictions([], $countries_formatted, [['id_module' => $module->id]]);

    $shops = Shop::getShops();
    foreach ($shops as $shop) {
        foreach ($available_currencies as $currency) {
            $currency = Tools::strtoupper($currency);
            $id_shop = (int)$shop['id_shop'];
            $id_currency = (int)Currency::getIdByIsoCode($currency, $id_shop);
            if ($id_currency) {
                $res &= Db::getInstance()->insert(
                    'module_currency',
                    ['id_module' => $module->id, 'id_shop' => $id_shop, 'id_currency' => $id_currency],
                    false,
                    true,
                    Db::INSERT_IGNORE
                );
            }
        }
    }

    return $res;
}