/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

$(function () {
    //get filtered payment options by country
    let next_btn = $(".add_product_next_btn");
    let select = $("#class_name");
    let should_prefill = 1;
    if(typeof inbank_new_product_validation != "undefined") {
        should_prefill = 0;
    }

    $("#id_country").change(function () {
        let id_country = $(this).val();
        select.empty();
        $.post(filter_payments_link, {id_country: id_country})
            .done(function (response) {
                response = JSON.parse(response);
                let classes = response.classes;
                $.each(classes, function (key, value) {
                    select.append(`<option value="${key}">${value}</option>`);
                });
                let api_data = response.api_data;
                if(should_prefill) {
                    if (api_data) {
                        $.each(api_data, function (key, value) {
                            if (key !== 'debug_mode') {
                                let el = $(`input[name="${key}"]`).val(value);
                            }
                        });
                    }
                    if(response.title || response.message) {
                        $.growl.notice({title: response.title ?? '', message: response.message, duration: 5000});
                    }
                }
                select.prop("disabled", false);
                next_btn.prop("disabled", false);
            })
            .error(function (response) {
                response = JSON.parse(response.responseText);
                $.growl.error(response);
                select.prop("disabled", true);
                next_btn.prop("disabled", true);
            })
    });

    $('input[name="debug_mode"]').change(function() {
        let val = $('input[name="debug_mode"]:checked').val();
        if(val == 1) {
            $('.inbank_input_production').parent().parent().hide();
            $('.inbank_input_debug').parent().parent().show();
        } else {
            $('.inbank_input_debug').parent().parent().hide();
            $('.inbank_input_production').parent().parent().show();
        }
    })
    $('input[name="debug_mode"]').change();
});
