/**
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 */

$(function() {
    $('input[name="debug_mode"]').change(function() {
        let val = $('input[name="debug_mode"]:checked').val();
        if(val == 1) {
            $('.inbank_input_production').parent().parent().hide();
            $('.inbank_input_debug').parent().parent().show();
        } else {
            $('.inbank_input_debug').parent().parent().hide();
            $('.inbank_input_production').parent().parent().show();
        }
    });

    $('input[name="debug_mode"]').change();

    let file_upload = $('input[type="file"][id="custom_logo"]');
    if (file_upload.length > 0)
    {
        file_upload.attr('accept', '.jpg,.jpeg,.png');
    }

    $('.product_search').autocomplete(
        product_search_link,
        {
            formatItem: function (item) {
                item = JSON.parse(item);
                if(item.reference) {
                    return item.name + ' (' + item.reference + ')';
                }

                return item.name;
            }
        }
    ).result(addToRestrictionTable);

    $(document).on('click', '.delete-product-restriction', function() {
        $(this).parent().parent().remove();
    })
})

function addToRestrictionTable(event, data, formatted)
{
    let selectedItem = JSON.parse(formatted);

    let exists = false;
    $('input[name="products[]"]').each(function () {
        if($(this).val() == selectedItem.id_product) {
            exists = true;
            return false;
        }
    })

    if(!exists) {
        $('#product-restrictions tbody').append(
            `<tr>
            <td><input type="hidden" name="products[]" value="${selectedItem.id_product}">${selectedItem.id_product}</td>
            <td>${selectedItem.name}</td>
            <td>${selectedItem.reference}</td>
            <td>
                <button type="button" class="btn btn-danger delete-product-restriction">
                    <i class="icon icon-trash"></i>
                </button>
            </td>
        </tr>`
        );
    }

    $('.product_search').val("");
}
