{*
 * 2021 Inbank
 *
 * NOTICE OF LICENSE
 *
 * This file is not open source! Each license that you purchased is only available for 1 website only.
 * If you want to use this file on more websites (or projects), you need to purchase additional licenses.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author Inbank
 * @copyright  2021 Inbank
 * @license    Valid for 1 website (or project) for each purchase of license
 *
 *}

<div class="card mt-2" id="view_order_inbank_block">
    <div class="card-header">
        <h3 class="card-header-title">
            {l s='Inbank' mod='inbank'}
        </h3>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col">
                <div>
                    <form method="post" action="{$module_link|escape:'htmlall':'UTF-8'}">
                        <p>
                            <button type="submit" id="inbank_check" class="btn btn-primary">
                                {l s='Check order state' mod='inbank'}
                            </button>
                        </p>
                    </form>
                </div>

                <hr />

                {if $details && !empty($details->timestamp)}
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th>{l s='Update time' mod='inbank'}</th>
                            <th>{l s='Last update state' mod='inbank'}</th>
                            {if $details->needs_approval && $needs_action}
                                <th>{l s='Actions' mod='inbank'}</th>
                            {/if}
                        </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td>{$details->timestamp|escape:'htmlall':'UTF-8'}</td>
                                <td>{$details->last_state|escape:'htmlall':'UTF-8'}</td>
                                {if $details->needs_approval && $needs_action}
                                <td>
                                    <form action="{$module_link|escape:'htmlall':'UTF-8'}" method="post">
                                        <button type="submit" class="btn btn-success" name="confirm_order" value="confirm_order">{l s='Confirm order' mod='inbank'}</button>
                                        <button type="submit" class="btn btn-danger" name="cancel_order" value="cancel_order">{l s='Deny order' mod='inbank'}</button>
                                    </form>
                                </td>
                                {/if}
                            </tr>
                        </tbody>
                    </table>
                {else}
                    <div class="alert alert-info">
                        <strong>{l s='Attention!' mod='inbank'}</strong> {l s='We haven\'t received any data from Inbank yet. You can try to check order state manually.' mod='inbank'}
                    </div>
                {/if}
            </div>
        </div>
    </div>
</div>
